#!/bin/bash

  INPUTDIR=o/png
  OUTPUTDIR=o/pdf
  TMPDIR=tmp
  LIST=pdf.list
  COUNT=500 

  # FIND FILES IN A DIRECTORY

  find ${INPUTDIR} -name "*.png" | sort > $LIST

  for PNG in `cat $LIST`
   do
    COUNT=`expr $COUNT + 1`

    convert $PNG \
          -edge 1 -normalize \
          -colorspace Gray -blur 0x.5 -contrast-stretch 0x50% \
          $OUTPUTDIR/$COUNT.pdf 
#    convert $OUTPUTDIR/$COUNT.pdf -negate $OUTPUTDIR/$COUNT_neg.pdf







#     convert -monochrome $PNG $OUTPUTDIR/$COUNT.pdf
#    convert -monochrome $PNG $TMPDIR/tmp.png
#    autotrace -centerline  $TMPDIR/tmp.png --output-file=$OUTPUTDIR/$COUNT.pdf
    echo $COUNT
  done

  rm -rf tmp/*


exit 0;
