#!/bin/bash

  OUTPUTDIR=o
  TMPDIR=tmp

COUNT=0


while [ $COUNT -le 70 ]; # -le = less equal, -ge = greater equal 
 do

# ------------------------------------------------------- #
# CREATE  LIST
# ------------------------------------------------------- #

  INPUTDIR=
  LIST=$TMPDIR/stwst.list

# FIND FILES IN A DIRECTORY

  find ${INPUTDIR} -name "*_trace.pdf" | \
  shuf | \
  head -2 | \
  sort > $LIST

  BEFORE=$TMPDIR/before.pdf
  cp `cat $LIST | shuf -n 1` $BEFORE

# ------------------------------------------------------- #
# USE PDFTK IN A LOOP
# ------------------------------------------------------- #

  for PDF in `cat $LIST`
   do
      pdftk $PDF background $BEFORE output $TMPDIR/out.pdf
      cp $TMPDIR/out.pdf $BEFORE
 done

 mv $BEFORE $OUTPUTDIR/pdftkloop_$COUNT.pdf

 COUNT=`expr $COUNT + 1 ` # hochzählen!

done

exit 0;
