#!/bin/bash

  INPUTDIR=o/png
  OUTPUTDIR=i/pdf_gfx
  TMPDIR=tmp
  LIST=pdf.list
  COUNT=0  

  # FIND FILES IN A DIRECTORY

  find ${INPUTDIR} -name "*.png" | sort > $LIST

  for PNG in `cat $LIST`
   do
    COUNT=`expr $COUNT + 1`
    IMAGENAME=`basename $PNG`
#    convert $PNG \
#          -edge 1 -negate -normalize \
#          -colorspace Gray -blur 0x.5 -contrast-stretch 0x50% \
#          $TMPDIR/${IMAGENAME%.*}.svg

#    inkscape --export-pdf=$OUTPUTDIR/`echo ${IMAGENAME%.*} | sed 's/\./___/g'`.pdf $TMPDIR/${IMAGENAME%.*}.svg 

    autotrace -background-color=FFFFFF -color-count 2 -remove-adjacent-corners -corner-threshold 132 -corner-always-threshold 180 -filter-iterations 10 \
    --output-file=$OUTPUTDIR/`echo ${IMAGENAME%.*} | sed 's/\./___/g'`.pdf $PNG


#     convert -monochrome $PNG $OUTPUTDIR/$COUNT.pdf
#    convert -monochrome $PNG $TMPDIR/tmp.png
#    autotrace -centerline  $TMPDIR/tmp.png --output-file=$OUTPUTDIR/$COUNT.pdf
    echo $COUNT
  done

 # rm -rf tmp/*


exit 0;
